Bug 1302333 - Requesting template for systemd preset requests
Requesting template for systemd preset requests
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs (Show other bugs)
5.0
All Linux
medium Severity low (vote)
: ---
: ---
Assigned To: Matt Tyson
tools-bugs
:
Depends On:
Blocks: 1337534
  Show dependency treegraph
 
Reported: 2016-01-27 09:08 EST by Stephen Gallagher
Modified: 2016-12-13 18:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-17 00:11:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2016-01-27 09:08:43 EST
In Fedora, we have moved all of the systemd presets (the system-wide configuration files that determines what installed services are permitted to start on boot by default) into the fedora-release package. We have guidelines for when packages may start by default at https://fedoraproject.org/wiki/Packaging:DefaultServices

When a package wishes to start by default, they are required to file a bug against the fedora-release component. We would like there to be a bug-filing template available that asks several questions explicitly of the requester to help determine if the request is acceptable as-is or needs to go to FESCo for a decision.

Could you please produce a bug-filing template (similar to the one provided for package reviews) for this purpose? It should ask the following required questions:


* Does the service require post-rpm-installation configuration in order to be useful (for example, does it need manual edits to a configuration file)?

* Does the service listen on a network socket for connections originating on a separate physical or virtual machine?

* Is the service non-persistent (i.e. run once at startup and exit)?
Comment 1 Stephen Gallagher 2016-01-27 11:13:45 EST
Also one additional question:

* What is the exact name (or names) of the systemd unit files to be enabled?
Comment 2 Jeff Fearn 2016-01-27 18:36:12 EST
e.g. https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=fedora-review

Which comes from extensions/RedHat/template/en/default/bug/create/create-fedora-review.html.tmpl
Comment 3 Matt Tyson 2016-04-05 02:32:14 EDT
I need a little bit more information

For reference, If you look at the fedora review link in comment 2...

What would you like in the "Review Summary" text box?

Also, there's three other text strings.  You can either provide replacements for them, or, if they are not needed I can remove them.

> With this template, you can create a package review request according to the Package Review Process. 
> Help: Brief description of new package. Ex: Review Request: foogrokker - Universal parser library
> Help: Package information and more detailed description of function the new package performs.
Comment 4 Stephen Gallagher 2016-04-05 09:42:54 EDT
Review Summary: systemd presets request - <list of systemd units>

"With this template, you can request that one or more systemd unit files be enabled by default in Fedora."

Help: Description of units to enable. Ex: systemd presets request: foo.socket foo.service

(drop the second help, I think).


Remaining text:

* Does the service require post-rpm-installation configuration in order to be useful (for example, does it need manual edits to a configuration file)?

* Does the service listen on a network socket for connections originating on a separate physical or virtual machine?

* Is the service non-persistent (i.e. run once at startup and exit)?

* Is this request for all Fedora deliverables or only for some Editions (list them)?
Comment 5 Matt Tyson 2016-04-05 20:33:23 EDT
When this is in production the URL will be:

https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=fedora-systemd-request
Comment 6 Hui Wang 2016-04-11 02:41:02 EDT
Verified this issue in QE instance.
Version: rh-bugzilla-4.4.11050-4.el6.noarch
The result is PASS.
Comment 7 Stephen Gallagher 2016-04-11 08:06:00 EDT
This is marked as VERIFIED but not pushed to production. Is there a schedule for that?
Comment 8 Matt Tyson 2016-04-12 02:22:02 EDT
(In reply to Stephen Gallagher from comment #7)
> This is marked as VERIFIED but not pushed to production. Is there a schedule
> for that?

It should be put into production in the next two weeks.  Keep an eye out for an outage banner once this bug enters RELEASE_PENDING state.
Comment 9 Matt Tyson 2016-05-17 00:11:28 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

Note You need to log in before you can comment on or make changes to this bug.